Name:               hovercraft
Version:            2.2
Release:            4%{?dist}
Summary:            Makes impress.js presentations from reStructuredText

Group:              Applications/Publishing
# Upstream does not include a COPYING file.
# https://github.com/regebro/hovercraft/issues/25
License:            CC0 and BSD
URL:                https://pypi.io/project/hovercraft
Source0:            https://pypi.io/packages/source/h/%{name}/%{name}-%{version}.tar.gz

BuildArch:          noarch

BuildRequires:      python3-devel
BuildRequires:      python3-setuptools
BuildRequires:      python3-docutils
BuildRequires:      python3-lxml >= 3.1.0
BuildRequires:      python3-svg-path
BuildRequires:      python3-pygments
BuildRequires:      python3-watchdog
BuildRequires:      impressjs

BuildRequires:      python3-sphinx

# Temporary.  Try removing.
BuildRequires:      python3-manuel

Requires:           python3
Requires:           python3-docutils
Requires:           python3-lxml >= 3.1.0
Requires:           python3-svg-path
Requires:           python3-pygments
Requires:           python3-watchdog
Requires:           impressjs


%description
The merge of convenience and cool!

Hovercraft is a tool to make impress.js presentations from
reStructuredText.

- Write your presentations in a text markup language. No slow, limiting
  GUI, no annoying HTML!
- Pan, rotate and zoom in 3D, with automatic repositioning of slides!
- A presenter console with notes and slide previews!
- The slide show generated is in HTML, so you only need a web browser to
  show it.
- Easy sharing, as it can be put up on a website for anyone to see!

%prep
%setup -q -n %{name}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{name}.egg-info

%build
%{__python3} setup.py build

cd docs
make man
cd -

%install
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}

# Unbundle impress.js
rm %{buildroot}%{python3_sitelib}/hovercraft/templates/default/js/impress.js
rm %{buildroot}%{python3_sitelib}/hovercraft/templates/simple/js/impress.js
ln -s %{_datadir}/impressjs/impress.js \
    %{buildroot}%{python3_sitelib}/hovercraft/templates/default/js/impress.js
ln -s %{_datadir}/impressjs/impress.js \
    %{buildroot}%{python3_sitelib}/hovercraft/templates/simple/js/impress.js

%{__install} -d -m 755 %{buildroot}%{_mandir}/man1/
%{__install} -m 644 docs/build/man/hovercraft.1 %{buildroot}%{_mandir}/man1/

#%check
#%{__python3} setup.py test

%files
%doc README.rst CHANGES.txt PKG-INFO docs
%{_bindir}/%{name}
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-%{version}*
%{_mandir}/man1/hovercraft.1*

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 11 2018 Iryna Shcherbina <ishcherb@redhat.com> - 2.2-3
- Build docs with python3-sphinx

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Feb 28 2017 Ralph Bean <rbean@redhat.com> - 2.2-1
- new version

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.1-12
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-11
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-9
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Aug 20 2014 Ralph Bean <rbean@redhat.com> - 1.1-7
- Include docs and manpage.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 14 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon May 20 2013 Ralph Bean <rbean@redhat.com> - 1.1-3
- Added BuildRequires on python3-manuel.

* Mon May 20 2013 Ralph Bean <rbean@redhat.com> - 1.1-2
- Change license field to CC0 and BSD.
- Added a comment about upstream and COPYING.

* Mon Apr 15 2013 Ralph Bean <rbean@redhat.com> - 1.1-1
- Initial package for Fedora.
